function onSuccess() {}
function onError() {}

angular
  .module('cockpit.controllers')
  .controller('DashCtrl', function(
    $scope,
    $ionicPopup,
    $ionicPopover,
    $ionicHistory,
    $state,
    $ionicLoading,
    $localstorage,
    UserData,
    CockpitData,
    GlobalState,
    $timeout,
    $ionicModal,
    $stateParams,
    VERSION_NUMBER,
    URI_SERVER
  ) {
    // Logout

    GlobalState.clear();
    GlobalState.selectedCategory = "";
    GlobalState.MtHc = "";
    GlobalState.termType = "";
    GlobalState.insuranceValue = "";
    GlobalState.insurance = "";
    GlobalState.currentDiscount = "";
    GlobalState.installmentValue = "";
    GlobalState.installmentBottom = "";
    GlobalState.issueValue = "";
    
    $scope.version = VERSION_NUMBER;
    $scope.isTest = URI_SERVER.indexOf('194.213.222.115') !== -1;

    var performRefresh = function(data) {
      $scope.isLoading = true;
      $scope.user = data.user.position
      $scope.subs = data.user.subs
      $scope.chosenView = {
        id: null,
        roleDescription:
          data.user.position.firstName + ' ' + data.user.position.lastName
      }
      //  $scope.plans = [];
      // data.stats.plans.forEach(e => {
      //   var plan = {
      //     desc: e.desc,
      //     plan: e.plan.toString().replace(/\B(?=(\d{3})+(?!\d))/g, " "),
      //     reality: e.reality.toString().replace(/\B(?=(\d{3})+(?!\d))/g, " ")
      //   }
      //   $scope.plans.push(plan);
      // });
      // console.log($scope.plans)

      $scope.plans = data.stats.plans;

      $scope.month = data.stats.month
      $scope.comm = data.comm
      $scope.urgency = 'all'

      this.loadFaults(data);      
      
      if (data.leads !== undefined && data.leads.length !== undefined) {
        $scope.leads = data.leads
        $scope.shownLeads = []

        if (data.leads.length > 0) $scope.shownLeads.push(data.leads[0])
        if (data.leads.length > 1) $scope.shownLeads.push(data.leads[1])
        if (data.leads.length > 2) $scope.shownLeads.push(data.leads[2])
        // if (data.leads.length > 3) $scope.shownLeads.push(data.leads[3])
        // if (data.leads.length > 4) $scope.shownLeads.push(data.leads[4])

        $scope.leadShowAll = data.leads.length > 3;
      } else {
        $scope.leads = $scope.shownLeads = []
        $scope.leadShowAll = false
      }

      $scope.lastUpdate = UserData.getLastUpdate().format('HH:mm D. M. YYYY')
      $scope.$broadcast('scroll.refreshComplete')
      $scope.isLoading = false;
    }

    $scope.doLogout = function() {
      $ionicPopup
        .confirm({
          title: 'Odhlášení',
          template: 'Skutečně se chcete odhlásit z aplikace OZ Cockpit?'
        })
        .then(function(res) {
          if (res) {
            UserData.logout();
          }
        })
    }

    $timeout(function() {
      CockpitData.softRefresh().then(performRefresh)
    }, 2 * 1000)

    $scope.doRefresh = function() {
      CockpitData.refresh().then(performRefresh)
    }

    // CockpitData.softRefresh().then(performRefresh)

    $scope.doSoftRefresh = function() {
      $scope.isLoading = true;
      CockpitData.softRefresh().then(performRefresh).catch(function() {
        $scope.$broadcast('scroll.refreshComplete')
        $scope.isLoading = false;
        $scope.failedLoading = 1;

      })
    }

    $scope.lastUpdate = UserData.getLastUpdate().format('HH:mm D. M. YYYY')

    if ($stateParams.needUpdate === true) {
      $scope.doRefresh()
    }
    // leads
    // $scope.leads = []
    $scope.shownLeads = []
    $scope.leadShowAll = false
    $scope.faultShowAll = false
    $scope.leadModal = null
    $scope.lead = null
    $scope.isTicked = true;
    $scope.searchTerm = "";
    $scope.events = ["Požádáno", "Schváleno", "Zamítnuto", "Nová splátka"];
    // $scope.selectedSub = null;
    $scope.leadCcn =
      window.plugins === undefined ? null : window.plugins.CallNumber
    $scope.leadForm = ''
    $scope.leadDetailCloseStateList = []
    $scope.leadDetailTransferBrms = []
    if ($scope.leadCcn === undefined) $scope.leadCcn = null

    CockpitData.getLeadClosedStatuses().then(function(res) {
      $scope.leadDetailCloseStateList = res
    })
    CockpitData.getLeadSubs().then(function(res) {
      if (res !== null)
        $scope.leadDetailScheduleSubList = res[0]
      else {
        $scope.leadDetailScheduleSubList = [];
      }
    })
    CockpitData.getLeadBrms().then(function(res) {
      if (res === null) return $scope.isBrm = [];
      $scope.leadDetailTransferBrms = res.filter(function(a) {
        return a !== $scope.user.staffCode
      })
      $scope.isBrm = res.indexOf($scope.user.staffCode) !== -1;
    })

    //............
    $ionicModal
    .fromTemplateUrl('templates/dashboard/faultdetail.html', {
      scope: $scope,
      animation: 'slide-in-up'
    })
    .then(function(modal) {
      // console.log('hey')
      $scope.faultModal = modal
    })

    $ionicModal
    .fromTemplateUrl('templates/dashboard/insurance.html', {
      scope: $scope,
      animation: 'slide-in-up'
    })
    .then(function(modal) {
      $scope.insuranceModal = modal,
      $scope.event = '0';
    })

    getFaultMaxUrgency = function(data, criteria) {
      var maxUrgency = Math.max.apply(Math, data.faults.filter(function(l) { return l.Contact.SelfEmpHouseNumber === criteria.SelfEmpHouseNumber && l.Contact.Pin === criteria.Pin || (l.Activity.AddData.Fault.ItemId === criteria.ItemId) && criteria.ItemId !== null && criteria.ItemId !== undefined}).map(function(lead) {
        return lead.Process.IsClosed
          ? lead.Process.LeadStatusCode1 === 'FT-SOL'
            ? 0
            : 4
          : lead.Activity.AddData.Fault.Urgency === null
            ? -1
            : lead.Activity.AddData.Fault.Urgency === '1'
              ? 1
              : lead.Activity.AddData.Fault.Urgency === '2'
                ? 2
                : 3
      }));

      return maxUrgency;
    }

    getFaultColorByItsUrgency = function(data, criteria) {
      var maxUrgency = getFaultMaxUrgency(data, criteria)
      var faultColor;

      switch (maxUrgency) {
        case 0: faultColor = "#DDD"; break; // gray - solved
        case 1: faultColor = '#009941'; break; // green - urgency 1
        case 2: faultColor = '#FFAA00'; break; // orange - urgency 2
        case 3: faultColor = '#FF2400'; break; // red - urgency 3
        case 4: faultColor = '#9932CC'; break; // purple - unrepairable
        default: faultColor = '#00ace8'; break;
      }

      return faultColor;
    }

    getMostSeveralFaultColorByItsUrgency = function(data) {
      var maxUrgency = Math.max.apply(Math, data.faults.map(function(lead) {
        return lead.Process.IsClosed
          ? lead.Process.LeadStatusCode1 === 'FT-SOL'
            ? 0
            : 4
          : lead.Activity.AddData.Fault.Urgency === null
            ? -1
            : lead.Activity.AddData.Fault.Urgency === '1'
              ? 1
              : lead.Activity.AddData.Fault.Urgency === '2'
                ? 2
                : 3
      }));
      var color;
      switch (maxUrgency) {
        case 0: color = "#DDD"; break; // gray - solved
        case 1: color = '#009941'; break; // green - urgency 1
        case 2: color = '#FFAA00'; break; // orange - urgency 2
        case 3: color = '#FF2400'; break; // red - urgency 3
        case 4: color = '#9932CC'; break; // purple - unrepairable
        default: color = '#00ace8'; break;
      }

      return color;
    }

    getPenaltiesForFaults = function(faults) {
      /// unrepairable faults
      var unrepairableFaults = faults.filter(function(fault) { return (fault.Process.IsClosed && fault.Process.LeadStatusCode1 !== 'FT-SOL')}).sort(function(a,b) { return a.Activity.AddData.Fault.ItemCisPenaltyDate - b.Activity.AddData.Fault.ItemCisPenaltyDate})
      var unrepairablePenaltyDate = unrepairableFaults.length && unrepairableFaults[0].Activity.AddData.Fault.ItemCisPenaltyDate
      var unrepairablePenaltyAmount = unrepairableFaults.length && unrepairableFaults[0].Activity.AddData.Fault.ItemCisPenalty
    
      /// repairable faults
      var repairableFaults = faults.filter(function(fault) { return (
        !fault.Process.IsClosed
          && fault.Activity.AddData.Fault.Urgency !== null
          && (fault.Activity.AddData.Fault.Urgency === '0'
            || fault.Activity.AddData.Fault.Urgency === '1'
            || fault.Activity.AddData.Fault.Urgency === '2'
            || fault.Activity.AddData.Fault.Urgency === '3'))
        }).sort(function(a,b) { return a.Activity.AddData.Fault.ItemCisPenaltyDate - b.Activity.AddData.Fault.ItemCisPenaltyDate})

      // repairable faults first penalty
      var repairableFirstPenaltyDate = faults.length 
        ? faults[0].Activity.AddData.Fault.ItemCisFirstPenaltyDatePossible
        : undefined
      var repairableFirstPenaltyDateColored = new Date(repairableFirstPenaltyDate).getTime() > Date.now();
      var repairableFirstPenaltyAmount = faults.length
        ? faults[0].Activity.AddData.Fault.ItemCisFirstPenaltyPossible
        : undefined
      
      // repairable faults second penalty
      var repairableSecondPenaltyDate = faults.length
        ? faults[0].Activity.AddData.Fault.ItemCisSecondPenaltyDatePossible
        : undefined
      var repairableSecondPenaltyAmount = faults.length
        ? faults[0].Activity.AddData.Fault.ItemCisSecondPenaltyPossible
        : undefined
      var repairableSecondPenaltyDateColored = new Date(repairableSecondPenaltyDate).getTime() > Date.now();

      // fault color
      var repairableFaultsColor = '#666';

      if (repairableFaults[0]) {
        switch (repairableFaults[0].Activity.AddData.Fault.Urgency) {
          case '1': repairableFaultsColor = '#009941'; break; // green - urgency 1
          case '2': repairableFaultsColor = '#FFAA00'; break; // orange - urgency 2
          default: repairableFaultsColor = '#FF2400'; break; // red - urgency 3
        }
      } else { 
        repairableFaultsColor ="#fff";
      }

      return {
        repairable: repairableFaults.length,
        unrepairable: unrepairableFaults.length,

        unrepairablePenaltyAmount:unrepairablePenaltyAmount, 
        unrepairablePenaltyDate: unrepairablePenaltyDate, 

        repairableFaultsColor: repairableFaultsColor, 

        repairableFirstPenaltyDate: repairableFirstPenaltyDate, 
        repairableFirstPenaltyDateColored: repairableFirstPenaltyDateColored,
        repairableFirstPenaltyAmount:repairableFirstPenaltyAmount, 

        repairableSecondPenaltyAmount:repairableSecondPenaltyAmount, 
        repairableSecondPenaltyDate: repairableSecondPenaltyDate, 
        repairableSecondPenaltyDateColored: repairableSecondPenaltyDateColored,
      }
      
    }

    loadFaults = function(data) {
      // constants
      $scope.urgencies = [       
        {key : "#009941", value : "1. urgence"},
        {key : "#FFAA00", value : "2. urgence"},
        {key : "#FF2400", value : "3. urgence"},
        {key : "#9932CC", value : "Neopravitelné"}
      ];
      $scope.mostSeveralFaultColor = '#00ace8';
      // if faults does not exists set them
      if (data.faults !== undefined && data.faults !== null && data.faults.length !== undefined) {
        
        $scope.faults = data.faults
        $scope.shownFaults = []
        $scope.faultcounter = data.faults.length
        $scope.faultShowAll = false;

        // get the color of the most several fault. It will be the color of the header
        $scope.mostSeveralFaultColor = getMostSeveralFaultColorByItsUrgency(data)
        
        // groupby the faults accoring to the Pin and the SelfEmpHouseNumber
        var customersByFaults = data.faults.map(function (l) {
          var isItemIdValid = l.Activity.AddData.Fault.ItemId === undefined || l.Activity.AddData.Fault.ItemId === null || l.Activity.AddData.Fault.ItemId === '-1';

          return {
            SelfEmpHouseNumber: !isItemIdValid ? "" : l.Contact.SelfEmpHouseNumber, 
            Pin: !isItemIdValid ? "" : l.Contact.Pin, 
            ItemId: l.Activity.AddData.Fault.ItemId
          }
        }).filter(function(value, index, array) {return array.map(function(k) {return JSON.stringify(k)}).indexOf(JSON.stringify(value)) === index})

        customersByFaults.map(function(s,i) {

          // get the customer (each element has the same customer, so it is okay to work with the first element)
          var customer = data.faults.filter(function(l) { return l.Contact.SelfEmpHouseNumber === s.SelfEmpHouseNumber && l.Contact.Pin === s.Pin || l.Activity.AddData.Fault.ItemId === s.ItemId && (s.ItemId !== undefined && s.ItemId !== null)})[0];
          // get the faults
          var faults = data.faults.filter(function(l) {return l.Contact.SelfEmpHouseNumber === s.SelfEmpHouseNumber && l.Contact.Pin === s.Pin || l.Activity.AddData.Fault.ItemId === s.ItemId && (s.ItemId !== undefined && s.ItemId !== null)});
          // get the faults' categories
          var categories = faults.map(function(l) { return l.Activity.AddData.Fault.Category}).filter(function(value, index, array) { return array.indexOf(value) === index})

          var faultsByCategories = []
          // iterate through the categories
          categories.map(function(c) {
            // get all the faults which has the current category and sort by its urgency
            var sortedFaults = faults.filter(function(f) { return f.Activity.AddData.Fault.Category === c}).sort(function (a, b) {
              return b.Activity.AddData.Fault.Urgency - a.Activity.AddData.Fault.Urgency
            });

            var faultsByCategory = []

            sortedFaults.map(function(fault) {
              // add the faults which is assigned to the same customer and have the same categories, history is currently empty
              faultsByCategory.push({f: fault, histories: []})
            })
            faultsByCategories.push(faultsByCategory)
          })

          // get the grouped by category faults backgroundcolor
          var faultColor = getFaultColorByItsUrgency(data, s);
          // get the urgency
          var faultMaxUrgency = getFaultMaxUrgency(data, s);

          // get the penalties for the faults
          var penalties = getPenaltiesForFaults(faults);

          // get the staff name
          var staff = customer.Contact.SelfEmpHouseNumber;
          if (/^[0-9]+$/.test(staff)) {
            if (staff[0] === '6') {
              staff = staff[0] + '-' + staff.substring(staff.length - 6, staff.length)
            } else {
              staff = staff.substring(0, 4) + '-' + staff.substring(staff.length - 6, staff.length)
            }
          } 

          // get the original Oz (faults can be reassign)
          var originalOzNum = customer.Activity.AddData.Fault.OriginalOZNum;
          if (/^[0-9]+$/.test(originalOzNum)) {
            if (originalOzNum[0] === '6') {
              originalOzNum = originalOzNum[0] + '-' + originalOzNum.substring(originalOzNum.length - 6, originalOzNum.length)
            } else {
              originalOzNum = originalOzNum.substring(0, 4) + '-' + originalOzNum.substring(originalOzNum.length - 6, originalOzNum.length)
            }
          } 

          // check if still the originalOz holds the fault and wasn't reassigned
          var isOriginal =  customer.Activity.AddData.Fault.OriginalOZNum === customer.Activity.AssignedTo || !customer.Activity.AddData.Fault.OriginalOZNum;
          
          // format the pin
          var pin = customer.Contact.Pin.substring(0, 6) + '/' + customer.Contact.Pin.substring(6, 10);
          
          // repairable fault
          var isThereRepairableFault = data.faults.filter(function(l) { return l.Contact.SelfEmpHouseNumber === s && !l.Process.IsClosed && (l.Activity.AddData.Fault.Urgency === "1" ||l.Activity.AddData.Fault.Urgency === "2" || l.Activity.AddData.Fault.Urgency === "3" || l.Activity.AddData.Fault.Urgency === "0") }).length;
          // unrepairablefault
          var isThereUnrepairableFault = data.faults.filter(function(l) { return l.Contact.SelfEmpHouseNumber === s && l.Process.IsClosed && l.Process.LeadStatusCode1 !== 'FT-SOL'}).length

          $scope.shownFaults.push(Object.assign(penalties, { 
            Date: Date.now(), 
            isOriginal: isOriginal, 
            originalOzNum: originalOzNum, 
            maxUrgency: faultMaxUrgency, 
            faultsByCategories: faultsByCategories, 
            faults: faults, 
            fault: customer, 
            color: faultColor,
            staff: staff, 
            pin: pin
          }));
        })

        $scope.shownFaults.sort(function (a, b) {
          return b.maxUrgency - a.maxUrgency;
        });
      } else {
        $scope.faults = $scope.shownFaults = []
      }
    }

    $scope.clearInsurances = function() {
      $scope.insurances = undefined;
    }

    $scope.insuranceSearch = function() {
      $scope.isLoading = true;
      $scope.insurances = undefined;
      $scope.errorMessage = undefined;
      $scope.isEmpty = 1;
      CockpitData.getInsurances(this.sui,this.event,this.searchTerm, false).then(function(data) {
        if (data !== null) {
          if (data.code === "ERR") {
            $scope.errorMessage = 'Pro pojistnou údálost se nám nepodařilo získat všechna potřebná data. Kontaktujte prosím ServiceDesk.';
          }
          else
          $scope.insurances = data
          $scope.insurancesLength = data.some(function (g) {return g.filter(function(k) {return !!k.Events || !!k.EventNova}).length > 0})
          $scope.isEmpty = data.filter(function(a) { return a.Events !== null || a.EventNova !== null}).length
        }
        $scope.isLoading = false;
      }).catch(function(e) { 
        $scope.isLoading = false;
        $scope.errorMessage = 'Pro pojistnou údálost se nám nepodařilo získat všechna potřebná data. Kontaktujte prosím ServiceDesk.'; 
      });

    }
    $scope.insuranceHide = function() {
      $scope.insuranceModal.hide()
      $scope.insurances = undefined;
    }

    $scope.leadDoShowAll = function() {
      $scope.shownLeads = $scope.leads
      $scope.leadShowAll = false
    }
    $scope.faultDoShowAll = function() {
      $scope.faultShowAll = true;
    }

    $scope.getStavText = function(fault) {
      var maxUrgency = Math.max.apply(Math, data.faults.filter(function(l) { l.Contact.SelfEmpHouseNumber === s.SelfEmpHouseNumber && l.Contact.Pin === s.Pin || (l.Activity.AddData.Fault.ItemId === s.ItemId && s.ItemId !== null && s.ItemId !== undefined)}).map(function(lead) {
        lead.Process.IsClosed
          ? lead.Process.LeadStatusCode1 === 'FT-SOL'
            ? 0
            : 4
          : lead.Activity.AddData.Fault.Urgency === null
            ? -1
            : lead.Activity.AddData.Fault.Urgency === '1'
              ? 1
              : lead.Activity.AddData.Fault.Urgency === '2'
                ? 2
                : 3
      }));
      var stav;

      switch (maxUrgency) {
        case 0: stav = "Závažnost"; break; // gray - solved
        case 1: stav = '1. Urgence'; break; // green - urgency 1
        case 2: stav = '2. Urgence'; break; // orange - urgency 2
        case 3: stav = '3. Urgence'; break; // red - urgency 3
        case 4: stav = 'Neopravitelné'; break; // purple - unrepairable
        default: stav = '3. Urgence'; break;
      }
      return stav;
    }

    $scope.openInsurance = function() {
      $scope.insuranceModal.show()
      if ($scope.chosenView.id == null) {
        $scope.sui = '-1';
        this.sui = '-1';
      } else {
        $scope.sui = $scope.chosenView.id.toString();
        this.sui = $scope.chosenView.id.toString();
      }

    }

    $scope.faultOpenDetail = function(fault) {
      $scope.fault = fault
      $scope.faultForm = ''
      $scope.faulthistories = [];
      $scope.faultClose = { status: -1, note: '' }
      $scope.faultSchedule = {
        assignedTo: fault.fault.Activity.AssignedTo,
        date: moment(
          fault.fault.Activity.ScheduledFor === null
            ? new Date()
            : fault.fault.Activity.ScheduledFor
        )
          .add(30, 'minute')
          .toDate(),
        note: fault.fault.Activity.ScheduledNote
      }
      $scope.faultTransfer = { brm: '', note: '' }
      $scope.faultModal.show()
    }
    $scope.faultDetailHide = function() {
      $scope.faultModal.hide()
    }
    $scope.faultOpenHistory = function(fault) {
      if ($scope.faulthistories.indexOf(fault.f.Process.Id) !== -1) {
        var index = $scope.faulthistories.indexOf(fault.f.Process.Id);
        $scope.faulthistories.splice(index, 1);
      } else {
        fault.history = CockpitData.getHistory(fault.f.Process.Id)
        $scope.faulthistories.push(fault.f.Process.Id);
      }
    }
    $scope.getBackgroundColor = function(fault) {
      return (fault.AddData === null || fault.AddData === undefined
        ? 'black'
        : fault.AddData.Fault.Urgency === '1'
          ? '#009941'
          : fault.AddData.Fault.Urgency === '2'
            ? '#FFAA00'
            : fault.AddData.Fault.Urgency === '3' ? '#FF2400' : 'black')
    }

    $scope.getBackgroundColor2 = function(fault) {
      return ( fault.Process !== undefined && fault.Process.IsClosed
        ? fault.Process.LeadStatusCode1 === 'FT-SQL'
          ? '#eee'
          : '#9932CC'
        : fault.Activity.AddData === null || fault.Activity.AddData === undefined
          ? 'black'
          : fault.Activity.AddData.Fault.Urgency === '1'
            ? '#009941'
            : fault.Activity.AddData.Fault.Urgency === '2'
              ? '#FFAA00'
              : '#FF2400')
    }
    //............

    $ionicModal
      .fromTemplateUrl('templates/dashboard/leaddetail.html', {
        scope: $scope,
        animation: 'slide-in-up'
      })
      .then(function(modal) {
        // console.log('hey')
        $scope.leadModal = modal
      })
      $scope.leadDoShowAll = function() {
        $scope.shownLeads = $scope.leads
        $scope.leadShowAll = false
      }
    $scope.leadOpenDetail = function(lead) {
      $scope.lead = lead
      $scope.leadForm = ''
      $scope.leadClose = { status: -1, note: '' }
      $scope.leadSchedule = {
        assignedTo: lead.Activity.AssignedTo,
        date: moment(
          lead.Activity.ScheduledFor === null
            ? new Date()
            : lead.Activity.ScheduledFor
        )
          .add(30, 'minute')
          .toDate(),
        note: lead.Activity.ScheduledNote
      }
      $scope.leadTransfer = { brm: '', note: '' }
      $scope.leadModal.show()
    }
    $scope.leadDetailHide = function() {
      $stateParams.lead = '';
      $scope.leadModal.hide()
      $state.go('tab.dash', {lead: ''}, {notify: false});
    }

    if ($localstorage.getObject('lead').lead !== undefined) {
      $ionicModal
      .fromTemplateUrl('templates/dashboard/leaddetail.html', {
        scope: $scope,
        animation: 'slide-in-up'
      })
      .then(function(modal) {
        $scope.leadModal = modal
        $scope.leadOpenDetail(JSON.parse($stateParams.lead));
        $localstorage.setObject('lead', {lead: undefined})
      })
    }
    
    $scope.leadDetailSms = function(lead) {
      if (!lead) return '';
      var text =
        'Dobry den, pokouseli jsme se Vas telefonicky kontaktovat ohledne Vasi zadosti o pujcku. Prosim, kontaktuje nas na cisle 420720123456.' +
        ' Dekujeme Provident.';
        var p = lead.Contact.MobilePhoneNumber.toString();
        if (p.length === 9) {
          if (p[0] === '7' || p[0] === '6' && p[1] === '0') {
            return 'sms:+420' + p + "?body=" + text;
          }
          if (p[0] === '9' || p[0] === '6' && p[1] === '9' && p[2] === '2') {
            return 'sms:+421' + p + "?body=" + text;
          }
        }
        if (p.length === 10 && p[0] === '0') return 'sms:+421' + p.substring(1) + "?body=" + text;
        if (p.length === 12) return 'sms:+' + p + "?body=" + text;

        return 'sms' + p + "?body=" + text;
    }

    $scope.leadDetailCallIntent = ''

    $scope.leadDetailCall = function(lead) {
      var p = lead.Contact.MobilePhoneNumber;
      var pnumber = 'tel:+420' + lead.Contact.MobilePhoneNumber.substring(lead.Contact.MobilePhoneNumber.length - 9, lead.Contact.MobilePhoneNumber.length);
      if (p.length === 9) {
        if (p[0] === '7' || p[0] === '6' && p[1] === '0') {
          pnumber = 'tel:+420' + p;
        }
        if (p[0] === '9' || p[0] === '6' && p[1] === '9' && p[2] === '2') {
          pnumber = 'tel:+421' + p;
        }
      }
      if (p.length === 10 && p[0] === '0') pnumber = 'tel:+421' + p.substring(1);
      if (p.length === 12) pnumber = 'tel:+' + p;

      $scope.leadDetailCallIntent = pnumber;
      if ($scope.leadCcn !== null) {
        CockpitData.leadCall(lead.Process.Id).then(
          function() {},
          function() {}
        )
      }
    }
    
    $scope.leadDetailNav = function(lead) {
      var label = encodeURI(
        lead.Contact.StreetName +
          ' ' +
          lead.Contact.HouseNumber +
          ', ' +
          lead.Contact.Town
      )
      window.open('geo:0,0?q=' + label, '_system')
    }
    $scope.leadDetailForm = function(form) {
      $scope.leadForm = form
    }

    $ionicModal
      .fromTemplateUrl('templates/sms/customercard.html', {
        scope: $scope,
        animation: 'slide-in-up'
      })
      .then(function(modal) {
        // console.log('hey')
        $scope.customercardModal = modal
      })
    
    $scope.leadDetailClose = function(form) {
      CockpitData.leadClose(
        $scope.lead.Process.Id,
        form.status,
        form.note !== null ? form.note : ''
      ).then(
        function() {
          $scope.doRefresh()
          $scope.leadModal.hide()
        },
        function() {
          alert('Při uzavírání leadu došlo k chybě.')
        }
      )
    }
    $scope.leadDetailSchedule = function(form) {
      CockpitData.leadSchedule(
        $scope.lead.Process.Id,
        form.assignedTo,
        form.date,
        form.note !== null ? form.note : ''
      ).then(
        function() {
          $scope.doRefresh()
          $scope.leadModal.hide()
        },
        function() {
          alert(
            'Lead lze pouze naplánovat 14 dnů dopředu - zkontrolujte nastavení.'
          )
        }
      )
    }
    $scope.leadDetailTransfer = function(form) {
      CockpitData.leadTransfer(
        $scope.lead.Process.Id,
        form.brm,
        form.note !== null ? form.note : ''
      ).then(
        function() {
          $scope.doRefresh()
          $scope.leadModal.hide()
        },
        function() {
          alert('Při přesunu leadu došlo k chybě.')
        }
      )
    }
    $scope.leadDetailScore = function(lead) {
      $scope.leadModal.hide()
      $state.go('tab.sms-scoring', {
        pin: lead.Contact.Pin,
        firstName: lead.Contact.FirstName,
        lastName: lead.Contact.LastName,
        phone: lead.Contact.MobilePhoneNumber
          ? lead.Contact.MobilePhoneNumber
          : lead.Contact.HousePhoneNumber,
        lid: lead.Process.IdNetlemProcess
      })
    }
    $scope.leadDetailCustomerCard = function(lead) {
      $scope.leadModal.hide()

      $state.go('tab.sms-customercard', {
        score: JSON.stringify(lead),
        fromLead: true
      })
      $scope.l = lead;
    }

    $scope.getDate = function (input) {
      return new Date(input).toLocaleDateString('cz-CZ');
    }

    $scope.getMaritalStatus = function(code) {
      switch (code) {
        case 2: return 'Ženatý/Vdaná/Registrované partnerství';
        case 1: return 'Svobodný/Svobodná';
        case 3: return 'Rozvedený/Rozvedená';
        case 4: return 'Vdovec/Vdova';
        case 99: return 'Jiné';
        case 5: return 'Partner/Partnerka';
        default: return 'Ostatní';
      }
    };
     
    $scope.getSelfFullAddress = function(address) {
      if (!address) return "";
      return address.split(',').map(function(a) {return a.trim();} ).join('\n');
    }

    $scope.getCzechDate = function(date) {
      // 2018-07-11 --> 11.7.2019
      if (!date) return ''
      var day = +date.substring(8);
      var month = +date.substring(5, 7);
      var year = date.substring(0, 4)

      return day + '.' + month + '.' + year
    }

    $scope.getNationality = function(code) {
      switch (code) {
        case 3: return 'CZ';
        case 4: return 'SK';
        default: return 'Ostatní';
      }
    };

    $scope.tooltipClick = function(id) {
      switch (id) {
        case 1: $scope.tooltip = 'V případě rozporu vyplňte správný údaj do ZK. Nesmí se jednat o jinou osobu, než je uvedena v žádosti!'; break;
        case 2: $scope.tooltip = 'Adresný bod musí zůstat stejný, jako v žádosti.'; break;
        case 3: $scope.tooltip = 'Do zákaznické karty vyplňte údaj dle skutečnosti. Pokud je skutečnost odlišná od původního skoringu je možné akceptovat rozdíl v toleranci ±500,-Kč. V případě většího rozdílu proveďte nový skoring.'; break;
        default: break;
      }

      $timeout(function() { $scope.tooltip = ""; return true;}, 5000);
    }
     
    $scope.getEducation = function(code) {
      switch (code) {
        case 6: return 'Bez vzdělání';
        case 1: return 'Základní';
        case 2: return 'Učňovské';
        case 3: return 'Středoškolské';
        case 4: return 'Vyšší odborné';
        case 99: return 'Jiné';
        case 5: return 'Vysokoškolské';
        default: return 'Ostatní';
      }
    };
     
    $scope.getHousing = function(code) {
      switch (code) {
        case 1: return 'V domácnosti s rodiči';
        case 2: return 'Vlastník';
        case 3: return 'Spoluvlastník';
        case 4: return 'Nájemník';
        case 7: return 'Spolubydlící';
        case 8: return 'Pečovatelský dům';
        case 9: return 'Ubytovna';
        case 99: return 'Jiné';
        case 5: return 'Kolej';
        case 6: return 'Bez stabilního ubytování';
        default: return 'Ostatní';
      }
    };
     
    $scope.getEmployment = function(code) {
      switch (code) {
        case 1: return 'Plný úvazek';
        case 2: return 'Částečný úvazek';
        case 3: return 'Starobní důchod';
        case 9: return 'Invalidní důchod';
        case 4: return 'Podnikatel (OSVČ)';
        case 6: return 'Nezaměstnaný';
        case 10: return 'Mateřská/rodičovská dovolená';
        case 11: return 'Vdovský důchod';
        case 14: return 'Výsluhová renta';
        case 15: return 'DPP';
        case 16: return 'DPČ';
        default: return 'Ostatní';
      }
    };
     
    $scope.getMotorVechicle = function(code) {
      switch (code) {
        case 1: return 'Ano';
        case 2: return 'Ne';
        case 0: return 'Neznámé';
        default: return 'Ostatní';
      }
    };
    

    $scope.back = function() {
      $scope.customercardModal.hide();
    }

    $scope.goToScoringSearch = function() {
      $scope.leadModal.hide();
      $state.go('tab.sms-scoringresults', {});
    }

    $scope.leadDetailPayOut = function(lead) {
      console.log(lead)
      $scope.leadModal.hide()
        var data = lead.Activity.ActivityImportDips[0];
        GlobalState.scoring.pin = lead.Contact.Pin;
        GlobalState.scoring.lid = lead.Process.Id;
        GlobalState.scoring.scoringId = lead.Activity.ActivityImportDips.length > 0 ? '' + lead.Activity.ActivityImportDips[0].EsbApplicationID + lead.Activity.ActivityImportDips[0].EsbApplicationIterationId : '';
        GlobalState.product.calculatorRestriction.riskGrade = data.DecRiskGrade === 'D1' || data.DecRiskGrade === 'D2' ? 'D' : data.DecRiskGrade;
        GlobalState.product.calculatorRestriction.maxLoan = data.DecOffer2ApprovedLoanMax;
        (data.FullScoreSMSFlag && !data.DecOffer3ApprovedLoanMax) || (!data.FullScoreSMSFlag && !data.DecOffer2ApprovedLoanMax);
        // GlobalState.product.calculatorRestriction.offer2offer = data.DecOffer2OfferType;
        GlobalState.product.calculatorRestriction.offer2offer = data.DecOffer2OfferType ? data.DecOffer2OfferType : "00000";
        GlobalState.product.calculatorRestriction.StForbidden = data.DecOffer4ApprovedLoanMax === null ? true : false;
        GlobalState.product.calculatorRestriction.maxLoanSt = +data.DecOffer4ApprovedLoanMax;
        GlobalState.product.calculatorRestriction.maxLoanStFullscore = +data.DecOffer4pprovedLoanMax
        GlobalState.product.calculatorRestriction.maxLoanADFullscore = +data.DecOffer2ApprovedLoanMax
        GlobalState.product.calculatorRestriction.maxLoanStNotFullscore = +data.DecOffer4ApprovedLoanMax
        GlobalState.product.calculatorRestriction.maxLoanADNotFullscore = +data.DecOffer1ApprovedLoanMax
        GlobalState.product.calculatorRestriction.maxInstallmentValueStFullscore = +data.DecOffer4WeeklyRate
        GlobalState.product.calculatorRestriction.maxInstallmentValueADFullscore = +data.DecOffer2WeeklyRate
        GlobalState.product.calculatorRestriction.maxInstallmentValueStNotFullscore = undefined
        GlobalState.product.calculatorRestriction.decOffer2Term = +data.decOffer2Term
        GlobalState.product.calculatorRestriction.maxInstallmentValueADNotFullscore = +data.DecOffer1WeeklyRate
        GlobalState.product.calculatorRestriction.FullScoreSMSFlag = data.FullScoreSMSFlag 

      $state.go('tab.product', {
        pin: lead.Contact.Pin,
        lid: lead.Process.Id,
        scoringid: GlobalState.scoring.scoringId,
        update: new Date().getTime(),
        riskType: data.DecRiskGrade,
        maxLoan: data.DecOffer2ApprovedLoanMax,
        monthly:  data.DecOffer2OfferType ? data.DecOffer2OfferType[0] : '0',
        weekly: data.DecOffer2OfferType ? data.DecOffer2OfferType[1] : '0',
        MT: data.DecOffer2OfferType ? data.DecOffer2OfferType[2] : '0',
        HC: data.DecOffer2OfferType ? data.DecOffer2OfferType[3] : '0',
        insurance: data.DecOffer2OfferType ? data.DecOffer2OfferType[4] : '0'
      })
    }

    // Person detail

    $scope.user = {
      uniqueId: null
    }
    $scope.subs = []
    $scope.chosenView = {
      id: null,
      roleDescription: ''
    }

    CockpitData.getUser().then(function(data) {
      if (data !== null) {
        $scope.user = data.position
        $scope.subs = data.subs
        $scope.chosenView = {
          id: null,
          roleDescription:
            data.position.firstName + ' ' + data.position.lastName
        }
      }
      $scope.lastUpdate = UserData.getLastUpdate().format('HH:mm D. M. YYYY')
    })

    $ionicPopover
      .fromTemplateUrl('templates/dashboard/filter.html', {
        scope: $scope
      })
      .then(function(popover) {
        $scope.popover = popover
      })

    $scope.showSubFilter = function(e) {
      $scope.popover.show(e)
    }

    $scope.resetSubFilter = function() {
      $scope.chosenView = {
        id: null,
        roleDescription: ''
      }
      $scope.plans = []
      $scope.month = null
      $scope.comm = { weekId: 0 }
      $scope.commDetail = false

      CockpitData.getStats().then(function(data) {
        $scope.plans = data.plans
        $scope.month = data.month
        $scope.lastUpdate = UserData.getLastUpdate().format('HH:mm D. M. YYYY')
      })
    }

    $scope.subFilterChoose = function(sub, e) {
      if (sub == null) {
        $scope.chosenView = {
          id: null,
          roleDescription: ''
        }
        $scope.plans = []
        $scope.month = null
        $scope.comm = { weekId: 0 }
        $scope.commDetail = false

        CockpitData.getStats().then(function(data) {
          $scope.plans = data.plans
          $scope.month = data.month
          $scope.lastUpdate = UserData.getLastUpdate().format(
            'HH:mm D. M. YYYY'
          )
        })
      } else {
        $scope.chosenView = sub
        $scope.plans = []
        $scope.month = null
        $scope.comm = { weekId: 0 }
        $scope.commDetail = false

        CockpitData.getSubStats(sub.id).then(function(data) {
          $scope.plans = data.plans
          $scope.month = data.month
          $scope.comm = data.comm
          $scope.commDetail = false
          $scope.lastUpdate = UserData.getLastUpdate().format(
            'HH:mm D. M. YYYY'
          )
        })
      }

      e.preventDefault()
      $scope.popover.hide()
    }

    // Stats

    $scope.plans = []
    $scope.month = null

    CockpitData.getStats().then(function(data) {
      $scope.plans = data.plans
      $scope.month = data.month
      $scope.lastUpdate = UserData.getLastUpdate().format('HH:mm D. M. YYYY')
    })

    // Commission

    $scope.comm = {
      weekId: 0
    }
    $scope.commDetail = {
      show: false
    }

    CockpitData.getAgentCommission().then(function(data) {
      $scope.comm = data
      $scope.lastUpdate = UserData.getLastUpdate().format('HH:mm D. M. YYYY')
    })

    $scope.showCommDetail = function() {
      if ($scope.comm.weekId <= 0) return
      $ionicLoading.show({
        template:
          '<div><div><ion-spinner icon="ripple" class="spinner-energized" style="width: 128px; height: 128px"></div><div>Načítání provizí</div></div>'
      })
      CockpitData.getAgentCommissionDetail(
        $scope.comm.weekId,
        $scope.chosenView.id
      ).then(function(data) {
        $ionicLoading.hide()
        if (data == null) {
          $scope.commDetail = {
            show: false
          }
        }

        $scope.commDetail = {
          show: true,
          showPreviousWeek: true,
          showNextWeek: false,
          weekId: $scope.comm.weekId,
          totalAmount: data.totalAmount,
          comm: data.comm
        }
      })
    }

    $scope.doPreviousWeek = function() {
      $scope.commDetail.showPreviousWeek = false
      $scope.commDetail.showNextWeek = false
      var newWeek = $scope.commDetail.weekId - 1

      CockpitData.getAgentCommissionDetail(
        newWeek,
        $scope.chosenView.id
      ).then(function(data) {
          $scope.commDetail = {
            show: true,
            showPreviousWeek: newWeek >= $scope.comm.weekId - 10,
            showNextWeek: newWeek < $scope.comm.weekId,
            weekId: newWeek,
            totalAmount: data === null ? null : data.totalAmount,
            comm: data === null ? null : data.comm
         }
        //$scope.$apply();
      })
    }

    $scope.doNextWeek = function() {
      $scope.commDetail.showPreviousWeek = false
      $scope.commDetail.showNextWeek = false
      var newWeek = $scope.commDetail.weekId + 1

      CockpitData.getAgentCommissionDetail(
        newWeek,
        $scope.chosenView.id
      ).then(function(data) {
        $scope.commDetail = {
          show: true,
          showPreviousWeek: newWeek >= $scope.comm.weekId - 10,
          showNextWeek: newWeek < $scope.comm.weekId,
          weekId: newWeek,
          totalAmount: data === null ? null : data.totalAmount,
          comm: data === null ? null : data.comm
       }
        //$scope.$apply();
      })
    }
  })
