angular
  .module('cockpit.controllers')
  .controller('LoginCtrl', function(
    $scope,
    $state,
    UserData,
    $ionicLoading,
    $ionicHistory,
    $ionicPopup,
    $cordovaGoogleAnalytics,
    $timeout
  ) {
    $scope.lg = {
      personalNumber: null,
      phoneNumber: null,
      phone: function(s) {
        var p = s.lg.phoneNumber.toString()
        if (p.length === 9) {
          if (p[0] === '7' || p[0] === '6' && p[1] === '0') {
            return '+420' + p;
          }
          if (p[0] === '9' || p[0] === '6' && p[1] === '9' && p[2] === '2') {
            return '+421' + p;
          }
        }
        if (p.length === 10 && p[0] === '0') return '+421' + p.substring(1);
        if (p.length === 12) return '+' + p;
        return p;
      },
      pers: function(s) {
        var p = '000000' + s.lg.personalNumber.toString()
        return s.lg.personalNumber === null
          ? ''
          : p.substring(p.length - 6, p.length)
      }
    }
    $scope.sms = {
      code: null
    }
    $scope.phase = 1
    $scope.token = null

    if (window.plugins !== undefined && window.plugins.sim !== undefined) {
      window.plugins.sim.getSimInfo(function(result) {
        if (result.phoneNumber !== undefined) {
          $scope.lg.phoneNumber = parseInt(result.phoneNumber.substring(4))
        }
      })
    }

    $scope.backToPhase1 = function() {
      $scope.sms.code = null
      $scope.lg.personalNumber = null
      $scope.lg.phoneNumber = null
      $scope.phase = 1
    }

    $scope.phase1 = function(formData) {
      var startRep = function() {
        if (!window.SMS) return
        console.log('intercept start')
      }

      if ($scope.lg.personalNumber === null) {
        $ionicPopup.alert({
          title: 'Chyba',
          template:
            'Špatně zadané osobní číslo.<br><small>Osobní číslo OZ má 6 číslic, osobní číslo zaměstnance 4 číslice.</small>'
        })
        return false
      }
      if (
        $scope.lg.phoneNumber === null ||
        $scope.lg.phoneNumber.toString().length < 9
      ) {
        $ionicPopup.alert({
          title: 'Chyba',
          template:
            'Špatně zadaný telefon.<br><small>Zadejte prosím telefonní číslo, které máte vedené u společnosti Provident.</small>'
        })
        return false
      }

      $scope.phase = 3
      UserData.login(
        'no2f',
        $scope.lg.pers($scope),
        $scope.lg.phone($scope)
      ).then(function(resultNo2F) {
        $scope.isLoginPending = false;
        switch (resultNo2F.code) {
          case 'OK':
            $scope.token = resultNo2F.token
            $scope.sms.code = null
            $scope.phase = 2
            startRep()
            break
          case 'REP':
          $scope.phase = 1;
            $ionicPopup.alert({
              title: 'Varování',
              template:
                'Opakovaný pokus.<br><small>Prosím, vyčkejte před dalším přihlášením.</small>'
            })
            break
          case 'INV':
            $scope.lg.personalNumber = null
            $scope.phase = 1;
            $ionicPopup.alert({
              title: 'Chyba',
              template:
                'Špatné přihlašovací údaje.<br><small>Prosím, zkuste znovu.</small>'
            })
            break
          default:
          $scope.phase = 1;
            $ionicPopup.alert({
              title: 'Varování',
              template:
                'Chyba komunikace (zkontrolujte připojení k internetu).<br><small>Kód chyby: ' +
                resultNo2F.message + ' ' + resultNo2F.code +
                '</small>'
            })
            break
        }
      })

      $scope.phase2 = function(formData) {
        $scope.sms.code = formData.code
        if ($scope.sms.code === null || $scope.sms.code.toString().length > 6) {
          $ionicPopup.alert({
            title: 'Chyba',
            template:
              'Špatně zadaný kód z SMS.<br><small>Zadejte až 6 číslic, které jste obdrželi pomocí SMS.</small>'
          })
          return false
        }
        $scope.phase = 3;

        UserData.login(
          '2f',
          $scope.lg.pers($scope),
          $scope.lg.phone($scope),
          $scope.sms.code,
          $scope.token
        ).then(function(resultNo2F) {
          switch (resultNo2F.code) {
            case 'OK':
              $ionicHistory.nextViewOptions({
                disableBack: true
              })
              $state.transitionTo(
                'tab.dash',
                {},
                { reload: true, inherit: true, notify: true }
              )
              break
            case 'INC':
              $scope.sms.code = null
              $ionicPopup.alert({
                title: 'Varování',
                template:
                  'Špatně zadaný SMS kód.<br><small>Zkontrolujte přijaté SMS a zadejte znovu.</small>'
              })
              break
            case 'OLC':
              $scope.sms.code = null
              $ionicPopup.alert({
                title: 'Varování',
                template:
                  'Vypršel časový limit kódu.<br><small>Byla vám odeslána nová SMS. Prosím, zkontrolujte znovu.</small>'
              })
              break
            case 'INV':
              $scope.sms.code = null
              $scope.lg.personalNumber = null
              $scope.phase = 1
              $ionicPopup.alert({
                title: 'Chyba',
                template:
                  'Špatné přihlašovací údaje.<br><small>Prosím, zkuste znovu.</small>'
              })
              break
            default:
              $ionicPopup.alert({
                title: 'Varování',
                template:
                  'Chyba komunikace.<br><small>Vyčkejte chvíli, příp. kontaktuje IT helpdesk.<</small>'
              })
              break
          }
        })
      }
    }
  })
