angular
  .module('cockpit.controllers')
  .controller('SaleCtrl', function(
    $scope,
    $ionicLoading,
    $state,
    $ionicPopup,
    $cordovaGoogleAnalytics,
    UserData,
    $stateParams,
    CockpitData,
    ProductRepository,
    GlobalState
  ) {;

    $scope.sc = {
      req: null,
      id: null,
      emp: null,
      idt: null,
      liv: null,
      chi: null
    };

    

    if ($stateParams.productId) {
      console.log('if ag');
      ProductRepository.get($stateParams.productId).then(function(product) {
        console.log('product get');
        console.log(product);
        $scope.chosenProduct = product
        $scope.computedPaidOutValue = $scope.chosenProduct.issue_value;
        $scope.formattedIssueValue = product.issue_value.toString().replace(/\B(?=(\d{3})+(?!\d))/g, " ")
        $scope.formattedRegularInstalmentValue = product.regular_instalment.toString().replace(/\B(?=(\d{3})+(?!\d))/g, " ")
        $scope.group = product.product_group.indexOf('MT') !== -1 ? 'MT' : 'HC';
        console.log($scope);
        // $scope.updateView();

      })
    }

    $scope.sc.pin = GlobalState.scoring.pin;
    $scope.sc.lid = GlobalState.scoring.lid;
    $scope.sc.scoringId = +GlobalState.scoring.scoringId || null;
    $scope.sc.ref = 'n';
    // $scope.sc.issueValue = $scope.chosenProduct.issue_value;

    $scope.goCalculator = function() {
      $state.go('tab.product', {
        fromProdej: true
      });
    }

    var validatePin = function(pin) {
      if (pin.toString().indexOf('/') !== -1) return true;
      try {
        var pin = pin.toString();
        var year = parseInt(pin.substring(0, 2));
        var month = parseInt(pin.substring(2, 4));
        var day = parseInt(pin.substring(4, 6));
        var control = pin.substring(6);

        var error = false;

        if(pin.length < 9 || pin.length > 10){
          error = true;
        }

        if (year > 53 && control.length != 4) {
          error = true;
        }
        control = control.trim();

        //control cannot be 000 for 9 characters pin
        if (control.length == 3 && control == '000') {
          error = true;
        }

        if(control.length === 4 && control === '0000'){
          error = true;
        }

        year += year < 54 && control.length == 4 ? 2000 : 1900;

        if (year > new Date().getFullYear() - 16) {
          error = true;
        }

        if (month > 70) {
          month -= 70;
        } else if (month > 50) {
          month -= 50;
        } else if (month > 20) {
          month -= 20;
        }

        try {
          var bz = new Date(year, month - 1, day);
          if (bz.getDate() != day) {
            error = true;
          } else if (bz.getMonth() != month - 1) {
            error = true;
          } else if (bz.getFullYear() != year) {
            error = true;
          }
        } catch (e) {
          error = true;
        }

        if (year > 1953 && !error) {
          var bz = /*parseInt*/(pin.substring(0, 9));
          var ps = bz % 11;

          if (ps == 10) {
            if (pin[9] != '0') {
              error = true;
            }
          } else {
            bz = /*parseInt*/(pin);
            ps = bz % 11;
            if (ps != 0) {
              error = true;
            }
          }
        }

        //return opposite of error -> if validate returns true than PIN is valid
        return !error;
      } catch (e) {
        return true;
      }
    };

    // Whenever the PIN input changes, save the value from the DOM as a STRING
    $scope.pinInputChanged = function() {
      $scope.sc.pin = document.getElementById('pinInput').value;
    }



    $scope.sc.date = new Date();

    $scope.prodcats = [];

    $scope.toggleProductCategory = function(cat) {
      if ($scope.prodcats.indexOf(cat) === -1) {
        $scope.prodcats.push(cat);
      } else {
        $scope.prodcats.splice($scope.prodcats.indexOf(cat), 1);
      }
    }
    
    $scope.updateComputedPaidOutValue = function() {
      $scope.computedPaidOutValue =
        ($scope.chosenProduct.issue_value ? $scope.chosenProduct.issue_value : 0) - ($scope.sc.refValue && $scope.sc.ref == 'a' ? $scope.sc.refValue : 0);
    }

    var doUpdateView = function(ref) {
      console.log('updateview')
      if(typeof $scope.chosenProduct.issue_value !== 'undefined'){
      $scope.computedPaidOutValue =
        ($scope.chosenProduct.issue_value ? $scope.chosenProduct.issue_value : 0) - ($scope.sc.refValue && ref == 'a' ? $scope.sc.refValue : 0);
    };
    }
    $scope.updateView = function() {
      doUpdateView($scope.sc.ref);
    };
    $scope.updateClickView = function() {
      doUpdateView($scope.sc.ref == 'a' ? 'n' : 'a');
    };
    
    $scope.loans = [{ id: 1, code: 'NC' }, { id: 2, code: 'OBN' }, { id: 3, code: 'REF' }, { id: 4, code: 'SUB' }];
    var doLead = function(leadId, loanId, issueValue, productCode) {
      CockpitData.leadPayOut(leadId, productCode, loanId, issueValue).then(function(result) {}, function() {});
    };

    $scope.payMtSmsText = ''
    $scope.payMtSmsText2 = ''

    $scope.payMt = function(data) {      

      //$ionicLoading.show();
      $scope.updateView();
      if (
        data.pin == null ||
        data.date == null ||
        // data.term == null ||
        data.scoringId == null ||
        data.agreementNumber == null ||
        // data.issueValue == null ||
        data.bankCode == null ||
        data.bankNumber == null ||
        (data.ref === 'a' && (data.refAgreementNumber == null || data.refValue == null))
      ) {
        //$ionicLoading.hide();
        $scope.payMtSmsText = '';
        $ionicPopup.alert({
          title: 'SMS',
          template: 'Prodej nelze nahlásit.<br><small>Zkontrolujte, že jste vyplnili všechny povinné parametry.</small>'
        });
        return;
      }

      if (!validatePin(data.pin)) {
        $scope.payMtSmsText = '';
        $ionicPopup.alert({
          title: 'SMS',
          template: 'Prodej nelze nahlásit.<br><small>Rodné číslo není validní.</small>'
        });
        return;
      }

      if ($stateParams.lid !== '1') {
        var product = $scope.chosenProduct;
        var lid = +GlobalState.scoring.lid;
        doLead(lid, data.loanId, product.issue_value, product.product_version_id);
      }

      var month = data.date.getMonth() + 1;
      var year = data.date.getFullYear();
      if (month == 13) {
        month = 1;
        year += 1;
      }
      console.log($scope.chosenProduct);
      var text =
        '#PVYP;rc' +
        data.pin.toString() +
        ';d' +
        data.date.getDate() +
        '.' +
        month +
        '.' +
        year +
        ';v' +
        product.issue_value.toString() +
        ';s' +
        product.term.toString() +
        ';tB';

        $scope.payMtSmsText = "sms:+420606999008?body=" + text.replace(/#/g,'%23');

      var mtrRext =
        '#MTR2#' +
        data.scoringId.toString() +
        '#' +
        data.agreementNumber.toString() +
        '#' +
        product.issue_value.toString() +
        '#' +
        data.bankNumber.toString() +
        '#' +
        data.bankCode.toString() +
        '#' +
        (product.product_group === 'MT' && product.product_with_insurance === 1 
        ? 'P' 
        : product.risk_grade === 'ST' && product.product_group === 'MT'
          ? 'S'
          : product.product_group === 'MT' && product.product_with_insurance === 0
            ?'B': 'A') +
        '#' +
        UserData.getToken() +
        (data.refAgreementNumber == null || data.ref == 'n' ? '' : '#r' + data.refAgreementNumber.toString()) +
        (data.refValue == null || data.ref == 'n' ? '' : '#v' + data.refValue.toString()) +
        (data.bankPrefix == null ? '' : '#p' + data.bankPrefix.toString());
        $scope.payMtSmsText2 = 'sms:+420606999008?body=' + mtrRext.replace(/#/g, '%23');

        $ionicPopup.confirm({
          title: 'Registrační SMS',
          buttons: [{
            text: '<a ng-click="$state.go("tab.dash");" class="dialogbutton item button button-block button-balanced" href="' + $scope.payMtSmsText + '">Odeslat</a>'
          }],
          template:
          '<strong>Pro odeslání SMS k vyplacení (PVYP) stistkněte odeslat.</strong>'
        }).then(function(res) {
          $scope.payMtSmsText = "";
          $state.go('tab.dash');
          $scope.sc = {
            cat: '',
            ref: 'n'
          };
        });
        return $scope.payMtSmsText ;
    };

    $scope.payHcSmsText = '';

    $scope.payHc = function(data) {

      if (data.pin == null || $scope.computedPaidOutValue == null || data.date == null) {
        $ionicPopup.alert({
          title: 'SMS',
          template: 'Prodej nelze nahlásit.<br><small>Zkontrolujte, že jste vyplnili všechny povinné parametry.</small>'
        });
        $scope.payHcSmsText = '';
        return;
      }

      if (!validatePin(data.pin)) {
        $ionicPopup.alert({
          title: 'SMS',
          template: 'Prodej nelze nahlásit.<br><small>Rodné číslo není validní.</small>'
        });
        $scope.payHcSmsText = '';
        return;
      }

      var month = data.date.getMonth() + 1;
      var year = data.date.getFullYear();
      if (month == 13) {
        month = 1;
        year += 1;
      }

      if ($stateParams.lid !== '1') {
        var product = $scope.chosenProduct;
        var lid = +GlobalState.scoring.lid
        doLead(lid, data.loanId, $scope.computedPaidOutValue, product.product_version_id);
      }
      console.log(product);
      var text =
        '#PVYP;rc' +
        data.pin.toString() +
        ';d' +
        data.date.getDate() +
        '.' +
        month +
        '.' +
        year +
        ';v' +
        $scope.computedPaidOutValue.toString() +
        ';s' +
        product.term.toString() +
        ';tH';

        $scope.payHcSmsText = "sms:+420606999008?body=" + text.replace(/#/g,'%23');  
        setTimeout(function() {
          $scope.sc = {
            cat: '',
            ref: 'n',
            pin: '',
          };
          $state.go('tab.dash');
        },100);

    };
  })
  .controller('SmsScoringCtrl', function(
    $scope,
    $ionicLoading,
    $state,
    $ionicPopup,
    $cordovaGoogleAnalytics,
    $stateParams,
    $ionicModal,
    CockpitData,
    GlobalState,
    $timeout,
    $localstorage,
    $ionicHistory
  ) {

    $scope.sui = '-1';

    GlobalState.selectedCategory = "";
    GlobalState.MtHc = "";
    GlobalState.termType = "";
    GlobalState.insuranceValue = "";
    GlobalState.insurance = "";
    GlobalState.currentDiscount = "";
    GlobalState.installmentValue = "";
    GlobalState.installmentBottom = "";
    GlobalState.issueValue = "";

    $scope.scorings = undefined;

    if (!!$stateParams.scoring) {
      $scope.scoring = JSON.parse($stateParams.scoring)
      console.log($scope.scoring)
    
      if (($scope.scoring.Lead.Activity.ActivityImportDips[0].EsbApplicationID === null && 
        $scope.scoring.Lead.Activity.ActivityImportDips[0].DecOffer2OfferType === null) || $scope.scoring.Lead.Activity.ActivityImportDips[0].DecOffer2OfferType === null){
        $scope.DisableVyplatit = true;
      }
    }

    if (!!$stateParams.score) {
      console.log($stateParams)
      var scs = JSON.parse($stateParams.score);
      console.log(scs)
      if (scs.Lead === undefined) {
        console.log('k')
        $scope.l = scs 
      }
      else { 
        console.log('b')
        $scope.l = scs.Lead
      }
      $scope.fromLead = $stateParams.fromLead
    }

    CockpitData.getUser().then(function(data) {
      if (data !== null) {
        $scope.user = data.position
        $scope.subs = data.subs
        $scope.chosenView = {
          id: null,
          roleDescription:
            data.position.firstName + ' ' + data.position.lastName
        }
      }
    })

    $ionicModal
      .fromTemplateUrl('templates/sms/scoring.html', {
        scope: $scope,
        animation: 'slide-in-up'
      })
      .then(function(modal) {
        // console.log('hey')
        $scope.scoringModal = modal
      })

      $ionicModal
      .fromTemplateUrl('templates/dashboard/leaddetail.html', {
        scope: $scope,
        animation: 'slide-in-up'
      })
      .then(function(modal) {
        // console.log('hey')
        $scope.leadModal = modal
      })

      $ionicModal
      .fromTemplateUrl('templates/sms/customercard.html', {
        scope: $scope,
        animation: 'slide-in-up'
      })
      .then(function(modal) {
        // console.log('hey')
        $scope.customercardModal = modal
      })

      $ionicModal
      .fromTemplateUrl('templates/sms/scoringresults.html', {
        scope: $scope,
        animation: 'slide-in-up'
      })
      .then(function(modal) {
        // console.log('hey')
        $scope.scoringResultModal = modal
      })

      $ionicModal
      .fromTemplateUrl('templates/sms/scoringdetail.html', {
        scope: $scope,
        animation: 'slide-in-up'
      })
      .then(function(modal) {
        // console.log('hey')
        $scope.scoringDetailModal = modal
      })

      $scope.goToScoringMenu = function() {
        $state.go("tab.sms-scoringmenu", {});
      }

      $scope.openScoringDetail = function(scoring) {
        $state.go('tab.sms-scoringdetails',{
          scoring: JSON.stringify(scoring)
        });
      }
      $scope.getDate = function (input) {
        console.log(input)
        var date = new Date(input).format('D. M. YYYY, HH:mm');
        console.log(date);
        return date;
      }
      $scope.getMaritalStatus = function(code) {
        switch (code) {
          case 2: return 'Ženatý/Vdaná/Registrované partnerství';
          case 1: return 'Svobodný/Svobodná';
          case 3: return 'Rozvedený/Rozvedená';
          case 4: return 'Vdovec/Vdova';
          case 99: return 'Jiné';
          case 5: return 'Partner/Partnerka';
          default: return 'Ostatní';
        }
      };
       
      $scope.getSelfFullAddress = function(address) {
        if (!address) return "";
        return address.split(',').map(function(a) {return a.trim();} ).join('\n');
      }

      $scope.getCzechDate = function(date) {
        // 2018-07-11 --> 11.7.2019
        if (!date) return ''

        var day = +date.substring(8);
        var month = +date.substring(5, 7);
        var year = date.substring(0, 4)

        return day + '.' + month + '.' + year
      }

      $scope.getNationality = function(code) {
        switch (code) {
          case 3: return 'CZ';
          case 4: return 'SK';
          default: return 'Ostatní';
        }
      };
       
      $scope.getEducation = function(code) {
        switch (code) {
          case 6: return 'Bez vzdělání';
          case 1: return 'Základní';
          case 2: return 'Učňovské';
          case 3: return 'Středoškolské';
          case 4: return 'Vyšší odborné';
          case 99: return 'Jiné';
          case 5: return 'Vysokoškolské';
          default: return 'Ostatní';
        }
      };
       
      $scope.getHousing = function(code) {
        switch (code) {
          case 1: return 'V domácnosti s rodiči';
          case 2: return 'Vlastník';
          case 3: return 'Spoluvlastník';
          case 4: return 'Nájemník';
          case 7: return 'Spolubydlící';
          case 8: return 'Pečovatelský dům';
          case 9: return 'Ubytovna';
          case 99: return 'Jiné';
          case 5: return 'Kolej';
          case 6: return 'Bez stabilního ubytování';
          default: return 'Ostatní';
        }
      };
       
      $scope.getEmployment = function(code) {
        switch (code) {
          case 1: return 'Plný úvazek';
          case 2: return 'Částečný úvazek';
          case 3: return 'Starobní důchod';
          case 9: return 'Invalidní důchod';
          case 4: return 'Podnikatel (OSVČ)';
          case 6: return 'Nezaměstnaný';
          case 10: return 'Mateřská/rodičovská dovolená';
          case 11: return 'Vdovský důchod';
          case 14: return 'Výsluhová renta';
          case 15: return 'DPP';
          case 16: return 'DPČ';
          default: return 'Ostatní';
        }
      };
       
      $scope.getMotorVechicle = function(code) {
        switch (code) {
          case 1: return 'Ano';
          case 2: return 'Ne';
          case 0: return 'Neznámé';
          default: return 'Ostatní';
        }
      };

      $scope.closeScoringDetail = function() {
        $scope.scoringDetailModal.hide();
      }

      $scope.leadDetailCloseStateList = [];
      CockpitData.getLeadClosedStatuses().then(function(res) {
        $scope.leadDetailCloseStateList = res
      })


      $scope.openUzavrit = function(lead) {
        $scope.leadForm = 'close';
        $scope.fromScoring = true;
        $scope.lead = lead;
        $scope.leadClose = { status: -1, note: '' }

        $scope.leadModal.show();
      }

      $scope.leadDetailClose = function(form) {
        console.log($scope.lead.Process.Id)
        console.log(form.status)
        console.log(form.note)
        CockpitData.leadClose(
          $scope.lead.Process.Id,
          form.status,
          form.note !== null ? form.note : ''
        ).then(
          function() {
            $scope.leadModal.hide();
            // $scope.scorings = [];
            $state.go('tab.sms-scoringresults')
              .then(function() {
                $scope.scorings = undefined;
                $state.go('tab.sms-scoringmenu')
                  .then(function() {
                    $state.go('tab.dash', {
                    needUpdate: true,
                    lead: undefined
                  });
                });
             })
          },
          function() {
            alert('Při uzavírání leadu došlo k chybě.')
          }
        )
      }

      
      $scope.leadDetailHide = function() {
        $scope.leadModal.hide();
      }

      $scope.leadDetailCustomerCard = function(score) {
        // $scope.leadModal.hide()
        // $state.go('tab.sms-scoringmenu', {
        //   screen: 'dig'
        // })
        $scope.l = score.Lead2;
        console.log(score.Lead2)
        $scope.tooltip = "";

        console.log(score);
        $state.go('tab.sms-customercard', {
          score: JSON.stringify(score),
          fromLead: false
        })
        // $scope.customercardModal.show();
      }

      $scope.tooltipClick = function(id) {
        switch (id) {
          case 1: $scope.tooltip = 'V případě rozporu vyplňte správný údaj do ZK. Nesmí se jednat o jinou osobu, než je uvedena v žádosti!'; break;
          case 2: $scope.tooltip = 'Adresný bod musí zůstat stejný, jako v žádosti.'; break;
          case 3: $scope.tooltip = 'Do zákaznické karty vyplňte údaj dle skutečnosti.'; break;
          default: break;
        }
        console.log($scope.tooltip)
        $timeout(function() { $scope.tooltip = ""; return true;}, 5000);
      }
  
      $scope.back = function() {
        // $scope.customercardModal.hide();
      }

      $scope.newScoring = function() {
        $state.go('tab.sms-scoring',{
          pin: $scope.l ? $scope.l.Contact.Pin : '',
          scoringId: $scope.l ?  '' + $scope.l.Activity.ActivityImportDips[0].EsbApplicationID + $scope.l.Activity.ActivityImportDips[0].EsbApplicationIterationId: ''
        });
      
      }

      $scope.goProductTabFromScoring = function(scoring) {
        var data = scoring.Lead.Activity.ActivityImportDips[0];
        var pin = scoring.Lead.Contact.Pin;
        var lid = scoring.Lead.Process.Id;
        var scoringId = '' + data.EsbApplicationID + data.EsbApplicationIterationId

        GlobalState.selectedCategory = "";
        GlobalState.MtHc = "";
        GlobalState.termType = "";
        GlobalState.insuranceValue = "";
        GlobalState.insurance = "";
        GlobalState.currentDiscount = "";
        GlobalState.installmentValue = "";
        GlobalState.installmentBottom = "";
        GlobalState.issueValue = "";

        GlobalState.scoring.id = lid;
        GlobalState.scoring.pin = pin;
        GlobalState.scoring.lid = lid;
        GlobalState.scoring.scoringId = scoringId;
        GlobalState.product.calculatorRestriction.riskGrade = data.DecRiskGrade === 'D1' || data.DecRiskGrade === 'D2' ? 'D' : data.DecRiskGrade;
        GlobalState.product.calculatorRestriction.maxLoan = data.DecOffer2ApprovedLoanMax;

        GlobalState.product.calculatorRestriction.offer2offer = data.DecOffer2OfferType;
        GlobalState.product.calculatorRestriction.StForbidden = data.DecOffer4ApprovedLoanMax === null ? true : false;

        GlobalState.product.calculatorRestriction.maxLoanSt = +data.DecOffer4ApprovedLoanMax;
        GlobalState.product.calculatorRestriction.maxLoanStFullscore = +data.DecOffer4ApprovedLoanMax
        GlobalState.product.calculatorRestriction.maxLoanADFullscore = +data.DecOffer2ApprovedLoanMax
        GlobalState.product.calculatorRestriction.maxLoanStNotFullscore = +data.DecOffer4ApprovedLoanMax
        GlobalState.product.calculatorRestriction.maxLoanADNotFullscore = +data.DecOffer1ApprovedLoanMax
        GlobalState.product.calculatorRestriction.maxInstallmentValueStFullscore = +data.DecOffer4WeeklyRate
        GlobalState.product.calculatorRestriction.maxInstallmentValueADFullscore = +data.DecOffer2WeeklyRate
        GlobalState.product.calculatorRestriction.decOffer2Term = +data.decOffer2Term
        GlobalState.product.calculatorRestriction.maxInstallmentValueStNotFullscore = undefined
        GlobalState.product.calculatorRestriction.maxInstallmentValueADNotFullscore = +data.DecOffer1WeeklyRate
        GlobalState.product.calculatorRestriction.FullScoreSMSFlag = data.FullScoreSMSFlag 

        console.log("Variables: pin: " + pin +" lid: "+ lid +" scoringId: "+ scoringId +" risk_grade: "+ data.DecRiskGrade +" Approved_maxloan: " + data.DecOffer2ApprovedLoanMax + " Offer type: " + data.DecOffer2OfferType  );
        console.log(scoring);
        if(lid !== -1){
          if(lid !==0){
        $state.go('tab.product', {
          update: new Date().getTime(),
          riskType: data.DecRiskGrade,
          maxLoan: data.DecOffer2ApprovedLoanMax,
          monthly: data.DecOffer2OfferType[0],
          weekly: data.DecOffer2OfferType[1],
          MT: data.DecOffer2OfferType[2],
          HC: data.DecOffer2OfferType[3],
          insurance: data.DecOffer2OfferType[4],
        });
          }
          else {
            $state.go('tab.product',{
              update: new Date().getTime()
            });
          }
        }
        else {
          $state.go('tab.product',{
            update: new Date().getTime()
          });
        }
      }

      $scope.goBack = function() {
        console.log($scope.fromLead)
        if ($scope.fromLead === 'true') {
          $state.go('tab.sms-scoringmenu')
          .then(function() {
            $state.go('tab.dash',{
              needUpdate: false,
              lead: JSON.stringify($scope.l),
            });
            $localstorage.setObject('lead', {lead: JSON.stringify($scope.l)})
          }
          );
        }
        else {
          console.log('b');
          $ionicHistory.goBack();
        }
      }

      $scope.openScoringResult = function() {
        // $scope.scoringResultModal.show();
        $scope.scorings = [];
        $scope.errorMessage = '';
        $state.go('tab.sms-scoringresults',{
        }).then(function(){$scope.scorings = undefined; console.log($scope.scorings)});
      
      }

      $scope.scoringSearch = function() {
        console.log($scope)
        var df = this.dateFrom !== null ? moment(this.dateFrom).format('YYYY-MM-DD') : '';
        var dt = this.dateTo !== null ? moment(this.dateTo).format('YYYY-MM-DD') : '';

        $scope.isLoading = true;
        CockpitData.getScorings(this.sui,df,dt, false).then(function(data) {
          if (data !== null) {
            if (data.code === "ERR") {
              $scope.errorMessage = 'Pro pojistnou údálost se nám nepodařilo získat všechna potřebná data. Kontaktujte prosím ServiceDesk.';
            }
            else
            $scope.scorings = data
          }
          $scope.isLoading = false;
        }).catch(function(e) { $scope.errorMessage = 'Pro pojistnou údálost se nám nepodařilo získat všechna potřebná data. Kontaktujte prosím ServiceDesk.'; });
        }


      $scope.goProdej = function (score) {
        $scope.scoringDetailModal.hide();
        $scope.scoringResultModal.hide();
        $state.go('tab.product', {
            pin: score.Lead.Contact.Pin,
            lid: score.Lead2.Process.Id,
            scoringid: '' + score.Lead.Activity.ActivityImportDips[0].EsbApplicationID + score.Lead.Activity.ActivityImportDips[0].EsbApplicationIterationId
        })
      }
    // $scope.back = function() {
    //   $scope.scoringModal.hide();
    //   $state.go('tab.sms-scoringmenu');

    // }

    $scope.scoringModalHide = function() {
      $scope.scoringModal.hide();
    }

    var validatePin = function(pin) {
      if (pin.toString().indexOf('/') !== -1) return true;
      try {
        var pin = pin.toString();
        var year = parseInt(pin.substring(0, 2));
        var month = parseInt(pin.substring(2, 4));
        var day = parseInt(pin.substring(4, 6));
        var control = pin.substring(6);

        var error = false;
        
        if(pin.length < 9 || pin.length > 10){
          error = true;
        }

        if (year > 53 && control.length != 4) {
          error = true;
        }
        control = control.trim();

        //control cannot be 000 for 9 characters pin
        if (control.length == 3 && control == '000') {
          error = true;
        }

        if(control.length === 4 && control === '0000'){
          error = true;
        }

        year += year < 54 && control.length == 4 ? 2000 : 1900;

        if (year > new Date().getFullYear() - 16) {
          error = true;
        }

        if (month > 70) {
          month -= 70;
        } else if (month > 50) {
          month -= 50;
        } else if (month > 20) {
          month -= 20;
        }

        try {
          var bz = new Date(year, month - 1, day);
          if (bz.getDate() != day) {
            error = true;
          } else if (bz.getMonth() != month - 1) {
            error = true;
          } else if (bz.getFullYear() != year) {
            error = true;
          }
        } catch (e) {
          error = false;
        }

        if (year > 1953 && !error) {
          var bz = /*parseInt*/(pin.substring(0, 9));
          var ps = bz % 11;

          if (ps == 10) {
            if (pin[9] != '0') {
              error = true;
            }
          } else {
            bz = /*parseInt*/(pin);
            ps = bz % 11;
            if (ps != 0) {
              error = true;
            }
          }
        }

        //return opposite of error -> if validate returns true than PIN is valid
        return !error;
      } catch (e) {
        return true;
      }
    };

    var validateCid = function(cid) {
      var cid = cid.toString();
      try {
        return /^(6|10(0|1|2)[0-9])((-|000)\d{6}|(-|0000)\d{5})$/.test(cid);
      } catch (e) {
        return true;
      }
      return true;
    };

    $scope.sc = {
      type: 'NC',
      req: null,
      id: null,
      emp: null,
      idt: null,
      liv: null,
      chi: null
    };

    $scope.scList = [{ text: 'Nový zákazník (NC)', value: 'NC' }, { text: 'Stávající zákazník (RES)', value: 'RES' }];
    $scope.empList = [
      { text: 'Plný úvazek', value: 'PU'},
      { text: 'Částečný úvazek', value: 'CU'},
      { text: 'Starobní důchod', value: 'DO'},
      { text: 'Invalidní důchod', value: 'ID'},
      { text: 'Podnikatel (OSVČ)', value: 'PO'},
      { text: 'Nezaměstnaný', value: 'NE'},
      { text: 'Mateřská/rodičovská dovolená', value: 'MD'},
      { text: 'Vdovský důchod', value: 'VD' },
      { text: 'Výsluhová renta', value: 'VR'},
      { text: 'DPP', value: 'DPP'},
      { text: 'DPČ', value: 'DPC'}
    ];
    $scope.livList = [
      { text: 'Vlastník', value: 'VL' },
      { text: 'Žije s rodiči', value: 'ZSR' },
      { text: 'Spoluvlastník', value: 'SVL' },
      { text: 'Nájemník', value: 'NAJ' },
      { text: 'Spolubydlící / podnájemník', value: 'SPO' },
      { text: 'Domov důchodců', value: 'DD' },
      { text: 'Ubytovna', value: 'UBY' },
      { text: 'Jiné', value: 'INE' }
    ];
    $scope.childList = [
      { text: 'žádná osoba', value: '0' },
      { text: '1 osoba', value: '1' },
      { text: '2 osoby', value: '2' },
      { text: '3 osoby', value: '3' },
      { text: '4 osoby', value: '4' },
      { text: '5 osob', value: '5' },
      { text: '6 a více osob', value: '6' }
    ];
    $scope.maritalList = [
      { text: 'svobodná/svobodný', value: 'SV' },
      { text: 'vdaná/ženatý/reg. partnerství', value: 'ZVR' },
      { text: 'rozvedená/rozvedený', value: 'RO' },
      { text: 'partnerka/partner', value: 'PAR' },
      { text: 'vdova/vdovec', value: 'VD' }
    ];
    $scope.educationList = [
      { text: 'bez vzdělání', value: 'BV' },
      { text: 'základní', value: 'ZAK' },
      { text: 'učňovské', value: 'UC' },
      { text: 'středoškolské', value: 'STR' },
      { text: 'vyšší odborné', value: 'VO' },
      { text: 'vysokoškolské', value: 'VS' }
    ];
    
    // Whenever the PIN input changes, save the value from the DOM as a STRING
    $scope.pinInputChanged = function() {
      $scope.sc.pin = document.getElementById('pinInput').value;
    }

    if ($stateParams.firstName !== undefined) {
      $scope.sc.firstName = $stateParams.firstName === 'null' ? '' : $stateParams.firstName;
    }
    if ($stateParams.lastName !== undefined) {
      $scope.sc.lastName = $stateParams.lastName === 'null' ? '' : $stateParams.lastName;
    }
    if ($stateParams.phone !== undefined) {
      if ($stateParams.phone !== '1')
        $scope.sc.phone =
          '420' + $stateParams.phone.substring($stateParams.phone.length - 9, $stateParams.phone.length);
    }
    if ($stateParams.lid !== undefined) {
      if ($stateParams.lid !== '1') $scope.sc.id = parseInt($stateParams.lid);
    }

    var validate = function(arr) {
      var ret = true;
      $.each(arr, function() {
        if (this === null || this === undefined || this === '') {
          ret = false;
        }
      });
      return ret;
    };

    $scope.smsScoreText = '';

    $scope.score = function(data) {
      console.log("DATA:", data)
      console.log("$scope", $scope.pinInput)
      if (data.type == 'NC' && (data.pin === undefined || data.pin === null || !validatePin(data.pin))) {
        $scope.smsScoreText = '';
        $ionicPopup.alert({
          title: 'SMS',
          template: 'Skóring nelze odeslat.<br><small>Rodné číslo není validní.</small>'
        });
        return;
      }

      if (data.type == 'RES' && (data.cid === undefined || data.cid === null || !validateCid(data.cid))) {
        $scope.smsScoreText = '';
        $ionicPopup.alert({
          title: 'SMS',
          template: 'Skóring nelze odeslat.<br><small>Číslo zákazníka není validní.</small>'
        });
        return;
      }

      var non = function(val) {
        return val !== false && val !== null && val !== undefined && val !== '';
      };
      var ale = function(val, desc) {
        if (!non(val)) {
          $ionicPopup.alert({
            title: 'SMS',
            template: 'Skóring nelze odeslat.<br /><small>Údaj "' + desc + '" není vyplněn.</small>'
          });
          return true;
        }
        return false;
      };

      if (ale(data.firstName, 'Křestní jméno')) return;
      if (ale(data.lastName, 'Příjmení')) return;
      if (ale(data.phone, 'Telefoní číslo')) return;
      if (ale(data.tmfi, 'Čistý příjem žadatele')) return;
      if (ale(data.otherMonthlyIncome, 'Ostatní příjmy žadatele')) return;
      if (ale(data.mfih, 'Měsíční fixní příjem domácnosti')) return;
      if (ale(data.tmvi, 'Externí splátky zápůjček')) return;
      if (ale(data.eme, 'Odhadované měsíční výdaje')) return;
      if (ale(data.pmi, 'Navrhovaná měsíční splá†ka')) return;
      if (ale(data.req, 'Požadovaná výše půjčky')) return;
      if (ale(data.periodicity, 'Požadovaná periodicita splácení')) return;
      if (ale(data.term, 'Požadovaná doba splácení')) return;
      if (ale(data.idt, 'Typ dokladu')) return;
      if (ale(data.idn, 'Číslo dokladu')) return;
      if (ale(data.emp, 'Druh zaměstnání')) return;
      if (ale(data.liv, 'Druh bydlení')) return;
      if (ale(data.mar, 'Rodinný stav')) return;
      if (ale(data.edu, 'Dosažené vzdělání')) return;
      if (ale(data.bank, 'Bankovní účet')) return;
      if (ale(data.car, 'Majitel auta')) return;
      if (ale(data.chi, 'Počet vyživovaných osob')) return;

      try {
            var text = '';
            var normalize = function(str) {
              // UTF8 "ěščřžýáíéťúůóďňľĺ"
              convFromL = String.fromCharCode(
                283,
                353,
                269,
                345,
                382,
                253,
                225,
                237,
                233,
                357,
                367,
                250,
                243,
                271,
                328,
                318,
                314
              );
              // UTF8 "escrzyaietuuodnll"
              convToL = String.fromCharCode(
                101,
                115,
                99,
                114,
                122,
                121,
                97,
                105,
                101,
                116,
                117,
                117,
                111,
                100,
                110,
                108,
                108
              );

              // zmenseni a odstraneni diakritiky
              str = str.toLowerCase();
              str = strtr(str, convFromL, convToL);

              return str;
            };
            var strtr = function strtr(s, from, to) {
              out = new String();
              // slow but simple :^)
              top: for (i = 0; i < s.length; i++) {
                for (j = 0; j < from.length; j++) {
                  if (s.charAt(i) == from.charAt(j)) {
                    out += to.charAt(j);
                    continue top;
                  }
                }
                out += s.charAt(i);
              }
              return out;
            };

            if (data.type == 'NC') {
              var text =
                'rc' +
                data.pin.toString() +
                '#' +
                normalize(data.firstName) +
                '#' +
                normalize(data.lastName) +
                '#' +
                data.phone +
                '#' +
                data.emp +
                '#' +
                data.idt +
                '#' +
                data.idn.toString() +
                '#' +
                'A' + // Credit bureau must be hardcoded 'A' (stands for Ano)
                '#' +
                data.tmfi.toString() +
                '#' +
                data.tmvi.toString() +
                '#' +
                data.eme.toString() +
                '#' +
                data.pmi.toString() +
                '#' +
                data.bank +
                '#' +
                data.liv +
                '#' +
                data.mar +
                '#' +
                data.edu +
                '#' +
                data.car +
                '#' +
                data.chi +
                '#' +
                data.otherMonthlyIncome +
                '#' +
                data.mfih +
                '#p' +
                data.req.toString() +
                '#' +
                data.periodicity +
                '#' +
                data.term.toString() +
                (data.id === null || data.id === undefined || isNaN(data.id) ? '' : '#' + data.id.toString());
            } else {
              var text =
                data.cid.toString() +
                '#' +
                normalize(data.firstName) +
                '#' +
                normalize(data.lastName) +
                '#' +
                data.phone +
                '#' +
                data.emp +
                '#' +
                data.idt +
                '#' +
                data.idn.toString() +
                '#' +
                'A' + // Credit bureau must be hardcoded 'A' (stands for Ano)
                '#' +
                data.tmfi.toString() +
                '#' +
                data.tmvi.toString() +
                '#' +
                data.eme.toString() +
                '#' +
                data.pmi.toString() +
                '#' +
                data.bank +
                '#' +
                data.liv +
                '#' +
                data.mar +
                '#' +
                data.edu +
                '#' +
                data.car +
                '#' +
                data.chi +
                '#' +
                data.otherMonthlyIncome +
                '#' +
                data.mfih +
                '#p' +
                data.req.toString() +
                '#' +
                data.periodicity +
                '#' +
                data.term.toString() +
                (data.id === null || data.id === undefined || isNaN(data.id) ? '' : '#' + data.id.toString());
            }

            $scope.smsScoreText = 'sms:+420606999008?body=' + text.replace(/#/g, '%23');

  
          } catch (e) {
            $ionicLoading.hide();
            $ionicPopup.alert({
              title: 'SMS',
              template: 'SMS se nepodařilo odeslat.<br><small>Zkontrolujte údaje, příp. kontaktuje IT helpdesk.</small>'
            });
          }

          $ionicPopup.confirm({
            title: 'SMS',
            buttons: [
              {text: 'Zrušit', onTap: function(e) {return false}},
              {text: '<a style="margin: -12px; padding:12px !important;" class="dialogbutton item button button-block button-balanced" href="' + $scope.smsScoreText + '">Ok</a>', onTap: function(e) {
                $scope.sc = {
                  type: 'NC',
                  req: null,
                  id: null,
                  pin: '',
                  emp: null,
                  idt: null,
                  liv: null,
                  chi: null
                };
                document.getElementById('pinInput').value = '';
                return false
              }}
            ],
            template:
              (data.type === 'NC'
                ? '<strong>Rodné číslo:</strong> ' + data.pin.toString()
                : '<strong>Číslo zák.:</strong> ' + data.cid.toString()) +
              '<br />' +
              '<strong>Jméno:</strong> ' +
              data.lastName +
              ', ' +
              data.firstName +
              '<br />' +
              '<strong>Telefon:</strong> ' +
              data.phone +
              '<br />' +
              '<strong>Příjmy:</strong> ' +
              data.tmfi.toString() +
              ' (čistý) / ' +
              data.otherMonthlyIncome.toString() +
              ' (ostatní) = ' +
              data.mfih.toString() +
              ' (celkem)<br />' +
              '<strong>Výdaje:</strong> ' +
              data.eme.toString() +
              ' / ' +
              data.tmvi.toString() +
              ' (splátky)<br />' +
              // '<strong>Požaduje:</strong> ' + data.req.toString() + ' za ' + data.pmi + ' měsíčně<br />' +
              '<strong>Požaduje:</strong> ' +
              data.req.toString() +
              ' / ' +
              data.term +
              data.periodicity +
              ' za ' +
              data.pmi +
              ' měsíčně<br />' +
              '<strong>Doklad:</strong> ' +
              data.idn.toString() +
              ' ' +
              data.idt +
              '<br />' +
              '<strong>Zaměstnání:</strong> ' +
              $scope.empList.filter(function(val) {
                return val.value === data.emp;
              })[0].text +
              '<br />' +
              '<strong>Bydlení:</strong> ' +
              $scope.livList.filter(function(val) {
                return val.value === data.liv;
              })[0].text +
              '<br />' +
              '<strong>Stav:</strong> ' +
              $scope.maritalList.filter(function(val) {
                return val.value === data.mar;
              })[0].text +
              '<br />' +
              '<strong>Vzdělání:</strong> ' +
              $scope.educationList.filter(function(val) {
                return val.value === data.edu;
              })[0].text +
              '<br />' +
              '<strong>Auto:</strong> ' +
              (data.car === 'a' ? 'ano' : 'ne') +
              ', <strong>Bank.účet</strong>: ' +
              (data.bank === 'a' ? 'ano' : 'ne') +
              '<br />' +
              '<strong>Vyž.osoby:</strong> ' +
              data.chi.toString() +
              '<br />' +
              '<strong>Lead ID:</strong> ' +
              (data.id === null || data.id === undefined || isNaN(data.id) ? '<em>nevyplněno</em>' : data.id.toString()) 
          }).then(function(res) {
            if (res) {
              $scope.smsScoreText ='';
              $scope.sc = {
                type: 'NC',
                req: null,
                id: null,
                emp: null,
                idt: null,
                liv: null,
                chi: null
              };
              $state.go('tab.dash');
        }
      });
    };
  })
  .controller('PtpCtrl', function($scope, $ionicLoading, $state, $ionicPopup, $cordovaGoogleAnalytics) {
    var validateCid = function(cid) {
      var cid = cid.toString();
      try {
        return /^(6|10(0|1|2)[0-9])((-|000)\d{6}|(-|0000)\d{5})$/.test(cid);
      } catch (e) {
        return true;
      }
      return true;
    };

    $scope.ptpSmsText = '';

    $scope.ptp = function(data) {
      // $ionicLoading.show();
      if (data.fr == null || data.pay == null || data.cid == null) {
        // $ionicLoading.hide();
        $ionicPopup.alert({
          title: 'SMS',
          template: 'Dohodu nelze odeslat.<br><small>Zkontrolujte, že jste vyplnili všechny povinné parametry.</small>'
        });
        $scope.ptpSmsText = '';
        return;
      }

      if (!validateCid(data.cid)) {
        $scope.ptpSmsText = '';
        $ionicPopup.alert({
          title: 'SMS',
          template: 'Dohodu nelze odeslat.<br><small>Číslo zákazníka není validní.</small>'
        });
        return;
      }

      var cid = data.cid.toString();

      if (cid.length === 7 || cid.length == 10) {
        cid = cid.replace('-', '0000');
      } else if (cid.length === 8 || cid.length === 11) {
        cid = cid.replace('-', '000');
      }

      var text =
        '#DO#' +
        cid.toString() +
        '#' +
        data.fr.toString() +
        '#' +
        data.pay.toString() +
        '#' +
        moment(data.end).format('DDMMYYYY') +
        '#';

        $scope.ptpSmsText = 'sms:+420606999008?body=' + text.replace(/#/g, '%23');

        $state.go('tab.dash');
        $scope.sc = {
          fr: 'J'
        };
    };
    $scope.sc = {
      fr: 'J'
    };
  });
