angular
  .module('cockpit.services')
  //.factory('UserData', function ($localstorage, $state, $ionicPopup, $cordovaGoogleAnalytics, $cordovaLocalNotification) {
  .factory('ProductRepository', function(
    $q
  ) {
    var db =  window.sqlitePlugin ? window.sqlitePlugin.openDatabase({name: 'cockpit.db', location: 'default'}) : null;
    var that = {
      get: function(id) {
        db = db || window.sqlitePlugin.openDatabase({name: 'cockpit.db', location: 'default'});
        return $q(function(resolve, reject) {          
            db.transaction(function(transaction) {
              transaction.executeSql('SELECT * FROM ProductTable WHERE id = ? limit 1', [+id], function(ignored, resultSet) {
                var result = JSON.parse(JSON.stringify(resultSet.rows.item(0)));
                console.log(result);
                resolve(resultSet.rows.item(0));              
              });              
            },  function(err) {
              reject();
              console.log('Open database ERROR: ' + JSON.stringify(err));
            });
          });        
      },

      getInsuredNotInsuredProducts: function(id) {
        return $q(function(resolve, reject) { 
          db = db || window.sqlitePlugin.openDatabase({name: 'cockpit.db', location: 'default'});        
          db.transaction(function(transaction) {
            console.log("Get insured not insured products, passed Id: " + id);
            transaction.executeSql('SELECT * FROM ProductTable WHERE id = ? limit 1', [+id], function(ignored, resultSet) {
              var productKey = resultSet.rows.item(0).product_key;
              var issueValue = resultSet.rows.item(0).issue_value;
              var insurance = resultSet.rows.item(0).product_with_insurance;
              var freeinsurance = resultSet.rows.item(0).insurance_fee;

              console.log("Product key: "+ productKey + " IssueValue: " + issueValue);

              transaction.executeSql('SELECT * FROM ProductTable WHERE issue_value = ? AND (product_key = ? OR product_key = ? OR product_key = ?)', [+issueValue, productKey.replace('P-',''), productKey, 'P-' + productKey], function(ignored, resultSet) {
                if(resultSet.rows.item(0).product_with_insurance === 0){
                  var withoutInsurance = resultSet.rows.item(0);
                  var withInsurance = resultSet.rows.item(1);
                  console.log(withoutInsurance);
                }
                else{
                  withoutInsurance = resultSet.rows.item(1);
                  withInsurance = resultSet.rows.item(0);
                }
                
                // var withInsurance = resultSet.rows.length === 2 ? resultSet.rows.item(1) : resultSet.rows.item(0);
                resolve({withoutInsurance, withInsurance, insurance, freeinsurance});
              }, function(err) {
                  reject();
                  console.log('Open database ERROR: ' + JSON.stringify(err));
                });       
              });
          },  function(err) {
            reject();
            console.log('Open database ERROR: ' + JSON.stringify(err));
          });          
        });
      },

      getCategories: function() {
        db = db || window.sqlitePlugin.openDatabase({name: 'cockpit.db', location: 'default'});
        return $q(function(resolve, reject) {         
            db.transaction(function(transaction) {
              
              transaction.executeSql('SELECT DISTINCT risk_grade FROM ProductTable',[], function(ignored, resultSet) {
                var output = [];                        
                for (var i = 0; i < resultSet.rows.length; i++) {                  
                  var category = (resultSet.rows.item(i))
                  output.push(category);
                }
                resolve(output)
              });
            },  function(err) {
              reject();
              console.log('Open database ERROR: ' + JSON.stringify(err));
            });          
          });
        },

        search: function(categoryCode, mtHc, termType, insurance, discount, installmentValue, installmentBottom, issuevalue ) {
          db = db || window.sqlitePlugin.openDatabase({name: 'cockpit.db', location: 'default'});
          return $q(function(resolve, reject) {          
              db.transaction(function(transaction) {                
                console.log(discount)
                if(insurance === 1){
                  if (discount !== 'freeinsurance') {
                    if((installmentBottom === 0 && installmentValue === 0) || (installmentBottom === undefined && installmentValue === undefined) || isNaN(installmentValue)){
                      transaction.executeSql('SELECT * FROM ProductTable WHERE risk_grade = ? AND product_group = ? AND repayment_frequency = ? AND product_with_insurance = ? AND discount = ? AND issue_value = ? AND insurance_fee != 0 AND deleted = false',[categoryCode, mtHc, termType, insurance, discount, +issuevalue], function(ignored, resultSet) {              
                        console.log('with insurance, installmentValue not added and not free insurance')
                        console.log("Változók1: " + categoryCode + " "+ mtHc+" "+ termType + " " + insurance + " " + discount + " " + installmentValue + " " + installmentBottom + " " + issuevalue)
                        var output = [];
                        console.log(resultSet.rows.item(0))
                        for (var i = 0; i < resultSet.rows.length; i++) {                 
                          var category = (resultSet.rows.item(i))
                          output.push(category);
                        }
                        resolve(output)
                      });}
                    
                    else {
                      transaction.executeSql('SELECT * FROM ProductTable WHERE risk_grade = ? AND product_group = ? AND repayment_frequency = ? AND product_with_insurance = ? AND discount = ? AND regular_instalment >= ? AND regular_instalment <= ? AND insurance_fee != 0 AND deleted = false',[categoryCode, mtHc, termType, insurance, discount, +installmentBottom, +installmentValue], function(ignored, resultSet) {              
                        console.log('with insurance, installement value added and not free insurance')
                        console.log("Változók2: " + categoryCode + " "+ mtHc+" "+ termType + " " + insurance + " " + discount + " " + installmentValue + " " + installmentBottom + " " + issuevalue)
                        var output = [];
                        console.log(resultSet.rows.item(0))
                        for (var i = 0; i < resultSet.rows.length; i++) {                 
                          var category = (resultSet.rows.item(i))
                          output.push(category);
                        }
                        resolve(output)
                      });
                    }
                  }
                  else {
                    if((installmentBottom === 0 && installmentValue === 0) || (installmentBottom === undefined && installmentValue === undefined)){
                      transaction.executeSql("SELECT * FROM ProductTable WHERE risk_grade = ? AND product_group = ? AND repayment_frequency = ? AND product_with_insurance = ? AND insurance_fee = 0 AND issue_value = ? AND product_key LIKE '%PROMO%' AND deleted = false",[categoryCode, mtHc, termType, insurance, +issuevalue], function(ignored, resultSet) {              
                          console.log('with insurance, installment value not added and free insurance')
                          console.log("Változók3: " + categoryCode + " "+ mtHc+" "+ termType + " " + insurance + " " + discount + " " + installmentValue + " " + installmentBottom + " " + issuevalue)
                          var output = [];
                          console.log(resultSet.rows.item(0))
                          for (var i = 0; i < resultSet.rows.length; i++) {                 
                            var category = (resultSet.rows.item(i))
                            output.push(category);
                          }
                          resolve(output)
                        });}
                      
                      else {
                        transaction.executeSql("SELECT * FROM ProductTable WHERE risk_grade = ? AND product_group = ? AND repayment_frequency = ? AND product_with_insurance = ? AND insurance_fee = 0 AND regular_instalment >= ? AND regular_instalment <= ? AND product_key LIKE '%PROMO%' AND deleted = false",[categoryCode, mtHc, termType, insurance, +installmentBottom, +installmentValue], function(ignored, resultSet) {              
                          console.log('with insurance, installment value added and free insurance')
                          console.log("Változók4: " + categoryCode + " "+ mtHc+" "+ termType + " " + insurance + " " + discount + " " + installmentValue + " " + installmentBottom + " " + issuevalue)
                          var output = [];
                          console.log(resultSet.rows.item(0))
                          for (var i = 0; i < resultSet.rows.length; i++) {                 
                            var category = (resultSet.rows.item(i))
                            output.push(category);
                          }
                          resolve(output)
                        });
                      }
                    }
                }
                else{
                  if (discount !== 'freeinsurance') {
                    if((installmentBottom === 0 && installmentValue === 0) || (installmentBottom === undefined && installmentValue === undefined) || isNaN(installmentValue)){
                      transaction.executeSql('SELECT * FROM ProductTable WHERE risk_grade = ? AND product_group = ? AND repayment_frequency = ? AND product_with_insurance = ? AND discount = ? AND issue_value = ? AND deleted = false',[categoryCode, mtHc, termType, insurance, discount, +issuevalue], function(ignored, resultSet) {              
                        console.log('without insuarence, installmentValue not added and not free insurance')
                        console.log("Változók1: " + categoryCode + " "+ mtHc+" "+ termType + " " + insurance + " " + discount + " " + installmentValue + " " + installmentBottom + " " + issuevalue)
                        var output = [];
                        console.log(resultSet.rows.item(0))
                        for (var i = 0; i < resultSet.rows.length; i++) {                 
                          var category = (resultSet.rows.item(i))
                          output.push(category);
                        }
                        resolve(output)
                      });}
                    
                    else {
                      transaction.executeSql('SELECT * FROM ProductTable WHERE risk_grade = ? AND product_group = ? AND repayment_frequency = ? AND product_with_insurance = ? AND discount = ? AND regular_instalment >= ? AND regular_instalment <= ? AND deleted = false',[categoryCode, mtHc, termType, insurance, discount, +installmentBottom, +installmentValue], function(ignored, resultSet) {              
                        console.log('without insuarence, installement value added and not free insurance')
                        console.log("Változók2: " + categoryCode + " "+ mtHc+" "+ termType + " " + insurance + " " + discount + " " + installmentValue + " " + installmentBottom + " " + issuevalue)
                        var output = [];
                        console.log(resultSet.rows.item(0))
                        for (var i = 0; i < resultSet.rows.length; i++) {                 
                          var category = (resultSet.rows.item(i))
                          output.push(category);
                        }
                        resolve(output)
                      });
                    }
                  }
                  else {
                    if((installmentBottom === 0 && installmentValue === 0) || (installmentBottom === undefined && installmentValue === undefined)){
                      transaction.executeSql("SELECT * FROM ProductTable WHERE risk_grade = ? AND product_group = ? AND repayment_frequency = ? AND product_with_insurance = ? AND insurance_fee = 0 AND issue_value = ? AND deleted = false",[categoryCode, mtHc, termType, insurance, +issuevalue], function(ignored, resultSet) {              
                          console.log('without insuarence, installment value not added and free insurance')
                          console.log("Változók3: " + categoryCode + " "+ mtHc+" "+ termType + " " + insurance + " " + discount + " " + installmentValue + " " + installmentBottom + " " + issuevalue)
                          var output = [];
                          console.log(resultSet.rows.item(0))
                          for (var i = 0; i < resultSet.rows.length; i++) {                 
                            var category = (resultSet.rows.item(i))
                            output.push(category);
                          }
                          resolve(output)
                        });}
                      
                      else {
                        transaction.executeSql("SELECT * FROM ProductTable WHERE risk_grade = ? AND product_group = ? AND repayment_frequency = ? AND product_with_insurance = ? AND insurance_fee = 0 AND regular_instalment >= ? AND regular_instalment <= ? AND deleted = false",[categoryCode, mtHc, termType, insurance, +installmentBottom, +installmentValue], function(ignored, resultSet) {              
                          console.log('without insuarence, installment value added and free insurance')
                          console.log("Változók4: " + categoryCode + " "+ mtHc+" "+ termType + " " + insurance + " " + discount + " " + installmentValue + " " + installmentBottom + " " + issuevalue)
                          var output = [];
                          console.log(resultSet.rows.item(0))
                          for (var i = 0; i < resultSet.rows.length; i++) {                 
                            var category = (resultSet.rows.item(i))
                            output.push(category);
                          }
                          resolve(output)
                        });
                      }
                }
              }
              },  function(err) {
                reject();
                console.log('Open database ERROR: ' + JSON.stringify(err));
              });
            });        
          
      }
    }

    return that;
  })
